﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Aplikace {
    public partial class ucPreview : UserControl {
        public EventHandler OnSelect;
        public EventHandler ShowFull;
        public Color BackClr {
            set {
                BackColor = value;
            }
        }
        public ucPreview() {
            InitializeComponent();
        }
        public ucPreview(Bitmap preview, string info, int num) {
            InitializeComponent();
            pbPreview.Image = preview;
            lblText.Text = info;
            Tag = num; // číslo obrázku
        }

        private void MyClick(object sender, EventArgs e) {
            if(OnSelect != null)
                OnSelect.Invoke(this, new EventArgs());
        }

        private void MyDoubleClick(object sender, EventArgs e) {
            if(ShowFull != null)
                ShowFull.Invoke(this, new EventArgs());
        }
    }
}
